Executive Summary

Summary
TitleConnMan: Multiple vulnerabilities
Informations
NameGLSA-201812-02First vendor Publication2018-12-02
VendorGentooLast vendor Modification2018-12-02
Severity (Vendor) N/ARevisionN/A

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:L/Au:N/C:P/I:P/A:P)
Cvss Base Score7.5Attack RangeNetwork
Cvss Impact Score6.4Attack ComplexityLow
Cvss Expoit Score10AuthenticationNone Required
Calculate full CVSS 2.0 Vectors scores

Detail

Synopsis

Multiple vulnerabilities have been found in ConnMan, the worst of which could result in the remote execution of code.

Background

ConnMan provides a daemon for managing Internet connections.

Description

Multiple vulnerabilities have been discovered in ConnMan. Please review the CVE identifiers referenced below for details.

Impact

A remote attacker, via a crafted DNS packet, could remotely execute code or cause a Denial of Service condition.

Workaround

There is no known workaround at this time.

Resolution

All ConnMan users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose ">=net-misc/connman-1.35-r1"

References

[ 1 ] CVE-2017-12865 : https://nvd.nist.gov/vuln/detail/CVE-2017-12865
[ 2 ] CVE-2017-5716 : https://nvd.nist.gov/vuln/detail/CVE-2017-5716

Availability

This GLSA and any updates to it are available for viewing at the Gentoo Security Website:

https://security.gentoo.org/glsa/201812-02

Original Source

Url : http://security.gentoo.org/glsa/glsa-201812-02.xml

CWE : Common Weakness Enumeration

%idName
100 %CWE-119Failure to Constrain Operations within the Bounds of a Memory Buffer

CPE : Common Platform Enumeration

TypeDescriptionCount
Application1
Os1

Nessus® Vulnerability Scanner

DateDescription
2018-12-03Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201812-02.nasl - Type : ACT_GATHER_INFO
2017-08-31Name : The remote Debian host is missing a security update.
File : debian_DLA-1078.nasl - Type : ACT_GATHER_INFO
2017-08-28Name : The remote Debian host is missing a security-related update.
File : debian_DSA-3956.nasl - Type : ACT_GATHER_INFO

Alert History

If you want to see full details history, please login or register.
0
DateInformations
2018-12-02 17:18:14
  • First insertion